Subject: bug#2914: a signal to just slap emacs' face, not kill it

From: [email-masked]
Date: Wed, 08 Apr 2009 09:30:55 +0800

Stefan Monnier <[email-masked]> writes:
> What were you doing?
I'm sorry. I was using the w3m add on package's
(w3m "http://test.wikipedia.org/wiki/Special:Allmessages?uselang=zh-tw")
and apparently had given it too many other keystokes so that C-g and C-c
C-k wouldn't get thru, or it was too busy rendering or something to
"listen to any phone calls". Anyway, that's all besides the point.

I'm thinking that maybe emacs could catch USR1 or USR2 signals, and
interpret them as C-g's, when the real C-g's just aren't getting thru.
But that is probably a bug in the first place.

Anyway, to test, just do something that makes emacs too busy to hear the
C-g's or maybe you typed a lot of other things that it hasn't read yet
before it can read your C-g's...